### Function

# Vte get_encodings

deprecated: 0.60 since: 0.60

#### Declaration [src]

    char**
    vte_get_encodings (
      gboolean include_aliases
    )

#### Description [src]

Gets the list of supported legacy encodings.

If ICU support is not available, this returns an empty vector. Note that UTF-8 is always supported; you can select it by passing `NULL` to vte_terminal_set_encoding().

Available since: 0.60

Deprecated since: 0.60

Please do not use it in newly written code.

#### Parameters

`include_aliases`

  Type: `gboolean`

  Whether to include alias names.

#### Return value

Type: An array of `utf8`

The list of supported encodings; free with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.